View Issue Details

IDProjectCategoryView StatusLast Update
0036637LazarusIDEpublic2020-01-31 15:19
ReporterHoch Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformManjaroOSLinux 
Product Version2.0.6 
Summary0036637: impossible to change font type of code editor, plus weird font spacing
DescriptionWhen I change the code editor font, the font picker displays the font correctly but Lazarus uses always the same one, no matter which font I choose. The only thing that changes is the font size and spacing.

In the appended screenshots, You can see that the font I choose is not displayed correctly in the preview of the prefs dialog (and in the code editor).

And the font spacing is weird. It's very uncomfortable to work with this font spacing.

Things I've done:

. Tried all the monospace fonts,
. Uninstalled Lazarus and installed again, renaming the /home/user_name/.lazarus folder to force a clean one,
. Downgraded linux kernel from 5.4 to 5.3,
. Checked font permissions in /usr/share/fonts/,
. Upgraded Lazarus 2.0.6 to the last one offered by pacman (25/12/2019).

Nothing works.

The font picker detects and shows the fonts right. And other apps see and use the fonts correctly.
Steps To ReproduceJust select a font for the code editor, in the preferences of Lazarus.
Tags2.0.6, code editor, editor, font, IDE, SynEdit
Fixed in Revision62604
LazTarget-
WidgetsetQT5
Attached Files

Relationships

related to 0036483 assignedZeljan Rikalo Packages Fonts in the qt IDE are broken with qt 5.14 

Activities

Hoch

2020-01-29 19:06

reporter  

Lazarus_font_error_4_04.jpg (71,051 bytes)   
Lazarus_font_error_4_04.jpg (71,051 bytes)   
Lazarus_font_error_3_04.jpg (67,563 bytes)   
Lazarus_font_error_3_04.jpg (67,563 bytes)   

Zeljan Rikalo

2020-01-29 19:52

developer   ~0120794

Please write Qt5 libs version.

Zeljan Rikalo

2020-01-30 08:52

developer   ~0120802

Also, please try to set well known monospace font and see if that works: eg "Monospace", "Courier New" etc.

Zeljan Rikalo

2020-01-31 15:19

developer   ~0120829

Please test and close if ok.

Issue History

Date Modified Username Field Change
2020-01-29 19:06 Hoch New Issue
2020-01-29 19:06 Hoch File Added: Lazarus_font_error_4_04.jpg
2020-01-29 19:06 Hoch File Added: Lazarus_font_error_3_04.jpg
2020-01-29 19:13 Hoch Tag Attached: code editor
2020-01-29 19:13 Hoch Tag Attached: editor
2020-01-29 19:13 Hoch Tag Attached: font
2020-01-29 19:13 Hoch Tag Attached: SynEdit
2020-01-29 19:13 Hoch Tag Attached: IDE
2020-01-29 19:13 Hoch Tag Attached: 2.0.6
2020-01-29 19:52 Zeljan Rikalo Relationship added related to 0036483
2020-01-29 19:52 Zeljan Rikalo Assigned To => Zeljan Rikalo
2020-01-29 19:52 Zeljan Rikalo Status new => assigned
2020-01-29 19:52 Zeljan Rikalo Status assigned => feedback
2020-01-29 19:52 Zeljan Rikalo LazTarget => -
2020-01-29 19:52 Zeljan Rikalo Note Added: 0120794
2020-01-30 08:52 Zeljan Rikalo Note Added: 0120802
2020-01-31 15:19 Zeljan Rikalo Status feedback => resolved
2020-01-31 15:19 Zeljan Rikalo Resolution open => fixed
2020-01-31 15:19 Zeljan Rikalo Fixed in Revision => 62604
2020-01-31 15:19 Zeljan Rikalo Widgetset QT5 => QT5
2020-01-31 15:19 Zeljan Rikalo Note Added: 0120829